List Executors by Provider
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"category": "HTTP",
"id": "http",
"method": "POST",
"name": "HTTP Request",
"path": "/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/json",
"providerId": "",
"version": "v1"
}
]
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}List Executors by Provider
Use this endpoint to retrieve all executors that belong to a specific provider.
GET
/
v1
/
catalog
/
providers
/
{id}
/
executors
List Executors by Provider
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"category": "HTTP",
"id": "http",
"method": "POST",
"name": "HTTP Request",
"path": "/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/json",
"providerId": "",
"version": "v1"
}
]
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Autorizaciones
¿Esta página le ayudó?

